/**
 * @Config.java     22.10.2010
 * Copyright 2010 - 2017 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 * This file is a part of Sudoku
 * Sudoku is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * Sudoku is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along with Spiele;
 * if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 */
package de.yourwebs.sudoku;

public enum Config {
	APP_VERSION("0.6."),
	APP_NAME("Sudoku"),
	BUILD("20170813-1"),
	COPYRIGHT("(c) J&ouml;rg Czeschla - javabeginners.de, 2010-2017"),
	ICON_PATH("img/sudoku_100.png"),
	SUCCESS_IMG("img/sudoku_heureka.png"),
	SOUND_PATH("de/yourwebs/sudoku/sound/"),
	SUCCESS_SOUND(SOUND_PATH.value + "applauselong.wav"),
	CONFIG_DIR(System.getProperty("user.home")
			+ System.getProperty("file.separator")
			+ ".javabeginners"
			+ System.getProperty("file.separator")
			+ "Sudoku"),
	SAVE_FILE(CONFIG_DIR.value + "/stateFile");

	public final String value;

	Config(String s) {
		this.value = s;
	}
}
