/**
 * @NumberTextField.java     29.12.2012
 * build: 29.12.2012
 * Copyright 2012 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 * This file is a part of Sudoku
 * Sudoku is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * Sudoku is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along with Sudoku;
 * if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 */
package de.yourwebs.sudoku;

import javax.swing.JTextField;

public class NumberTextField extends JTextField {
	
	public NumberTextField(){
		this(0);
	}
	
	public NumberTextField(int size){
		super(size);
	}

	@Override
    public void setText(String txt){
		if(txt.matches("[0-9]+"))
			super.setText(txt);
	}
}
